org.jgroups

## Interface ExtendedMembershipListener

All Superinterfaces:
  MembershipListener

All Known Subinterfaces:
  ExtendedReceiver

All Known Implementing Classes:
  Draw, ExtendedReceiverAdapter, ReplicatedHashMap

    public interface ExtendedMembershipListener
    extends MembershipListener

Author:
  Bela Ban

### Method Summary

Methods
`void` `unblock()` Called after the FLUSH protocol has unblocked previously blocked senders, and messages can be sent again.

### Methods inherited from interface org.jgroups.MembershipListener

`block, suspect, viewAccepted`

### Method Detail

#### unblock

    void unblock()

Called after the FLUSH protocol has unblocked previously blocked senders, and messages can be sent again. This callback only needs to be implemented if we require a notification of that.

Note that during new view installation we provide guarantee that unblock invocation strictly follows view installation at some node A belonging to that view . However, some other message M may squeeze in between view and unblock callbacks. For more details see https://jira.jboss.org/jira/browse/JGRP-986